package cn.quantgroup.xyqb.security;

import cn.quantgroup.xyqb.entity.enums.Device;

import java.util.Objects;

/**
 * Created by Administrator on 2021/6/30 0030.
 */
public class AssentHeader {
    String authType;
    String authMessage;
    String idfa;
    String scDeviceId;
    String remoteAddress;
    String phoneNumber;
    String deviceId;
    String deviceCode;
    Device device;

    public String getAuthType() {
        return authType;
    }

    public void setAuthType(String authType) {
        this.authType = authType;
    }

    public String getAuthMessage() {
        return authMessage;
    }

    public void setAuthMessage(String authMessage) {
        this.authMessage = authMessage;
    }

    public String getIdfa() {
        return idfa;
    }

    public void setIdfa(String idfa) {
        this.idfa = idfa;
    }

    public String getScDeviceId() {
        return scDeviceId;
    }

    public void setScDeviceId(String scDeviceId) {
        this.scDeviceId = scDeviceId;
    }

    public String getRemoteAddress() {
        return remoteAddress;
    }

    public void setRemoteAddress(String remoteAddress) {
        this.remoteAddress = remoteAddress;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public Device getDevice() {
        return device;
    }

    public void setDevice(Device device) {
        this.device = device;
    }

    @Override
    public int hashCode() {
        return com.google.common.base.Objects.hashCode(authType, authMessage, idfa, scDeviceId, remoteAddress
                , phoneNumber, deviceId, deviceCode, device);
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("AssentHeader{");
        sb.append("authType='").append(authType).append('\'');
        sb.append(", authMessage='").append(authMessage).append('\'');
        sb.append(", idfa='").append(idfa).append('\'');
        sb.append(", scDeviceId='").append(scDeviceId).append('\'');
        sb.append(", remoteAddress='").append(remoteAddress).append('\'');
        sb.append(", phoneNumber='").append(phoneNumber).append('\'');
        sb.append(", deviceId='").append(deviceId).append('\'');
        sb.append(", deviceCode='").append(deviceCode).append('\'');
        sb.append(", device=").append(device);
        sb.append('}');
        return sb.toString();
    }
}
